6.0.0-git
2019-06-17

[#14456] Certain emails gets encoded wrong and cannot be replied to
Summary Certain emails gets encoded wrong and cannot be replied to
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester alexh (at) boxed (dot) no
Created 2016-09-04 (1016 days ago)
Due
Updated 2016-11-09 (950 days ago)
Assigned 2016-09-04 (1016 days ago)
Resolved 2016-09-05 (1015 days ago)
Milestone
Patch No

History
2016-11-09 20:53:19 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 8a5d8df26732a0fdd0b31b6b3e3ed38887ae5fa5
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Nov 9 15:41:59 2016 -0500

     Revert "Bug: 14456 Ensure address-type headers are MIME decoded."

     This is incorrect. The mime decoding is taken care of in
     Horde_Mail_Rfc822_Address:: already. The test cases were broken,
     as they contained invalid comma characters in the encoded atom.

     This reverts commit 9cf5454ce4517426b6b612562caf118721fe5390.

  .../Mime/lib/Horde/Mime/Headers/Addresses.php      | 18 -----------
  framework/Mime/test/Horde/Mime/HeadersTest.php     | 36 
----------------------
  2 files changed, 54 deletions(-)

http://github.com/horde/horde/commit/8a5d8df26732a0fdd0b31b6b3e3ed38887ae5fa5
2016-09-05 20:50:59 Michael Rubinsky Comment #8
State ⇒ Resolved
Reply to this comment
Fixed in Horde_Mime 2.10.1
2016-09-05 20:47:12 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 9cf5454ce4517426b6b612562caf118721fe5390
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Sep 5 16:44:59 2016 -0400

     Bug: 14456 Ensure address-type headers are MIME decoded.

     This got lost during the refactoring to the individual
     Horde_Mime_Header* objects. Fixes incorrect parsing of email
     address lists when source headers are MIME encoded.

  .../Mime/lib/Horde/Mime/Headers/Addresses.php      | 18 +++++++++++
  framework/Mime/test/Horde/Mime/HeadersTest.php     | 36 
++++++++++++++++++++++
  2 files changed, 54 insertions(+)

http://github.com/horde/horde/commit/9cf5454ce4517426b6b612562caf118721fe5390
2016-09-04 17:11:02 Michael Rubinsky Comment #6
Assigned to Michael Rubinsky
Reply to this comment
sure, you can email it directly to me at mrubinsk@horde.org
You have mail.
Yes, thank you. I will look at this when I have time.
2016-09-04 16:46:11 alexh (at) boxed (dot) no Comment #5 Reply to this comment
sure, you can email it directly to me at mrubinsk@horde.org
You have mail.
2016-09-04 14:29:58 Michael Rubinsky Comment #4 Reply to this comment
sure, you can email it directly to me at mrubinsk@horde.org
2016-09-04 13:51:27 alexh (at) boxed (dot) no Comment #3 Reply to this comment
Please provide a complete email message that exhibits this behavior.
Can it be submitted so that it is not public?
2016-09-04 13:45:56 Michael Rubinsky Version ⇒ Git master
Queue ⇒ Synchronization
 
2016-09-04 13:45:30 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Please provide a complete email message that exhibits this behavior.
2016-09-04 13:38:54 alexh (at) boxed (dot) no Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Certain emails gets encoded wrong and cannot be replied to
Queue ⇒ Horde Groupware
Milestone ⇒
Patch ⇒ No
Reply to this comment
I communicate extesively with people in the Nordic countries, and they 
have some funny characters [ÅØÖÆåøæö], and Horde seem to get these 
wrong in some circumstances, and making email replies that are not 
valid.

My setup is I have postfix/dovecot on a server, and two iPhones. One 
iPhone accesses the mail as IMAP (via dovecot) and one as ActiveSync 
(using Horde on same server).

I have one particular user that seems to be more prone to a problem 
that makes horde submit replies with an attempt to encode the 
recipient as QP:

Sep  4 02:39:25 popper postfix/smtpd[11134]: NOQUEUE: reject: RCPT 
from localhost[127.0.0.1]: 550 5.1.1 <=?utf-8?Q?"Hylen>: Recipient 
address rejected: User unknown in local recipient table; 
from=<alexh@acme.com> to=<=?utf-8?Q?"Hylen> proto=ESMTP 
helo=<mail.foo.com>

The person's email is "Håvar Hyle <Havar.Hyle@acme.no>", and the 
iPhone using IMAP/MSA has no prolbem reading, displaying and replying 
to this person's messages, the phone using Horde usually displays the 
email subjects wrongly coded (it should be e.g. displayed as "Våken?" 
but gets displayed as "VÃ¥ken?", which makes it look like the "å" 
encoded in some multibyte format somewhere got misrepresented as two 
single byte chars.

Viewing the email raw, the subject looks like this:
Subject: =?iso-8859-1?Q?RE:_v=E5ken_=3F?=

Which looks like there is latin1 in there also.

All of this runs alone on a CentOS 7 machine with all default 
installation with English language support, and nothing especially 
done to pick at PHP or other components for character set changes.

Anyone have any clue what goes wrong?


Saved Queries